title: Python & Computer science basics
syntax: mediawiki
questions:
- type: E
  score: 5
  title: Fractions
  description: Calculez la valeur <math>\frac{1/2}{1/3}</math> en Python.
  answers:
    - ko: 1 / 2 / 1 / 3
      feedback: Non, cette expression est équivalent à ((1 / 2) / 1) / 3.
    - ok: (1 / 2) / (1 / 3)
    - ko: (1 // 2) // (1 // 3)
      feedback: Non, // est la division entière en Python.
    - ko: 1 // 2 // 1 // 3
- type: T
  score: 8
  title: Completez le programme suivant
  syntax: pre
  answers: |
    a = "Bonjour"
    n = len(a)
    b = ""
    while n > 0%:%
        b = b + a[n-1]
        n = n - 1
  feedbackTrue: Good!
  feedbackFalse: You need to use the proper operator (/ is float division, // is integer division) and parenthesis
- type: T
  score: 5
  title: "Convert the following numbers to decimal:"
  description: underlined numbers use the binary notation
  answers: |
    <u>10101</u> = %21%
    
    <u>1111</u> = %15%
